table {
    display: flex;
    flex-direction: column;
    height: 100%;
    width: 100%;
}

table > tbody {
    display: flex;
    flex-flow: column;
    flex-grow: 1;
}

table > .btn-ctrls {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
}

table > tbody > tr {
    display: flex;
    width: 100%;
    flex-grow: 1;
}

table > tbody > tr > td {
    display: flex;
    width: 100%;
    overflow-y: hidden;
    overflow-x: auto;
    flex-wrap: wrap;
    border: 1px solid black;
}

table > tbody > tr > td.row-actions > button {
    display: flex;
    width: 100%;
}